# -*- coding: utf-8 -*-

from PyQt5.QtGui import QIcon
from PyQt5.QtDesigner import QPyDesignerCustomWidgetPlugin

from widgets.lineedit import LineEdit


class LineEditPlugin(QPyDesignerCustomWidgetPlugin):
    """Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin using a PyQt-specific custom plugin class.
    """

    def __init__(self, parent=None):
        super(LineEditPlugin, self).__init__(parent)
        self.initialized = False

    def initialize(self, core):
        if self.initialized:
            return
        self.initialized = True

    def isInitialized(self):
        return self.initialized

    def createWidget(self, parent):
        return LineEdit(parent)

    def name(self):
        return 'LineEdit'

    def group(self):
        return 'Custom'

    def icon(self):
        return QIcon()

    def toolTip(self):
        return "QLineEdit with yellow background"

    def whatsThis(self):
        return "QLineEdit with yellow background"

    def isContainer(self):
        return False

    def domXml(self):
        return '<widget class="LineEdit" name="LineEdit">\n'

    def includeFile(self):
        return 'widgets.lineedit'
